## com.google.gwt.core.client
Class JsArray<T extends JavaScriptObject>

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.core.client.JsArray<T>

Type Parameters:
  `T` - the concrete type of object contained in this array

    public class JsArray<T extends JavaScriptObject>

extends JavaScriptObject

A simple wrapper around a homogeneous native array of `JavaScriptObject` values. This class may not be directly instantiated, and can only be returned from a native method. For example, `native JsArray<JavaScriptObject> getNativeArray() /*-{ return [ { x: 0, y: 1}, { x: 2, y: 3}, { x: 4, y: 5}, ]; }-* /;`

Constructor Summary
`protected` | `JsArray()`

Method Summary
`T` | `get(int index)` Gets the object at a given index.
`int` | `length()` Gets the length of the array.
`void` | `set(int index, T value)` Sets the object value at a given index.

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsArray

    protected JsArray()

Method Detail

### get

    public final T get(int index)

  Gets the object at a given index.

  Parameters:
    `index` - the index to be retrieved
  Returns:
    the object at the given index, or `null` if none exists

### length

    public final int length()

  Gets the length of the array.

  Returns:
    the array length

### set

    public final void set(int index,
                          T value)

  Sets the object value at a given index. If the index is out of bounds, the value will still be set. The array's length will be updated to encompass the bounds implied by the added object.

  Parameters:
    `index` - the index to be set
    `value` - the object to be stored